using System;
using PkmnLib.Static.Utils;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "brine")]
public class Brine : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        if (target.CurrentHealth <= target.BoostedStats.Hp / 2)
        {
            basePower = basePower.MultiplyOrMax(2);
        }
    }
}