using System;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "frustration")]
public class Frustration : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        var friendship = move.User.Happiness;
        basePower = Math.Min((byte)1, (byte)((255 - friendship) * 2 / 5));
    }
}