using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "fury_cutter")]
public class FuryCutter : Script
{
    /// <inheritdoc />
    public override void ChangeBasePower(IExecutingMove move, IPokemon target, byte hit, ref byte basePower)
    {
        var userEffect = move.User.Volatile.Get<FuryCutterEffect>();
        if (userEffect == null)
            return;

        userEffect.TurnCount++;
        basePower = (byte)(basePower * (userEffect.TurnCount + 1));
    }
}