namespace PkmnLib.Static;

/// <summary>
/// The time of day. These values are the 4 different groups of time of day in Pokémon games since
/// gen 5. The exact times these correspond to differ between games.
/// </summary>
public enum TimeOfDay : byte
{
    /// <summary>
    /// The morning.
    /// </summary>
    Morning = 0,

    /// <summary>
    /// The day.
    /// </summary>
    Day = 1,

    /// <summary>
    /// The evening.
    /// </summary>
    Evening = 2,

    /// <summary>
    /// The night.
    /// </summary>
    Night = 3,
}